<?php
if ( !function_exists( 'add_action' ) ) {
  echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
  exit;
}
class Hk_Facebook_Setting {

	public function __construct() {
		add_action('admin_menu', function() {
			add_menu_page( 
	        	__( 'Get status Facebok', 'textdomain' ),
		        'Status Facebook',
		        'manage_options',
		        'hk_get_stt',
		        [$this, 'create_page'],
		        'dashicons-facebook'
		        
		    );
	    });
	    add_action('admin_init', [$this, 'register_setting']);
	}

	public function register_setting() {  
        register_setting('settings-group','my_setting');
    }

	public function create_page() {
		$options = get_option( 'my_setting' );
	?>
    	<div class="wrap tp-app">
		    <h2>Tùy chỉnh Status Facebook</h2>
		    <form name="post" action="options.php" method="post" id="post" autocomplete="off">
		    	<?php 
		    		settings_fields( 'settings-group' );
    				do_settings_sections( 'settings-group' ); 
		    	 ?>
		    	 <?php $check = new Hk_Facebook_Api(); ?>
		        <input type="hidden" name="action" value="update">
		        <div class="tp-city-list"></div>
		        <table class="form-table">
			        <tr valign="top">
			        	<th scope="row">Nhập Token</th>
			        	<p style="display:none;"><?php if($check->get_stt()==1) {echo '<p style="color:red">Token hết hạn hoặc lỗi</p>';} ?></p>
			        	<td><input type="text" size="80" name="my_setting[token]" value="<?php echo $options['token']; ?>" /></td>
			        </tr>
			        <tr valign="top">
			        	<td >
			        		<p style="width:300%">Có thể xem phần hướng dẫn cách lấy token <a target="_blank" href="http://huykira.net/webmaster/plugin-get-status-facebook-ve-wordpress.html">TẠI ĐÂY</a></p>
			        	</td>
			        </tr>
			        <tr valign="top">
			        	<th scope="row">Nhập ID facebook admin</th>
			        	<td><input type="text" size="50" name="my_setting[name]" value="<?php echo $options['name']; ?>" /></td>
			        </tr>
			        <tr valign="top">
			        	<td>
			        		<p style="width:300%">Để lấy id facebook cá nhân các bạn có thể lấy  <a target="_blank" href="http://findmyfbid.com/">TẠI ĐÂY</a></p>
			        	</td>
			        </tr>

			    </table>
		        <div class="alignleft">
		             <?php submit_button(); ?>
		        </div>
		    </form>
		    <div class="clear"></div>
		    <h2>Cách sử dụng</h2>
		    <p>Sử dụng shortcode, chèn đoạn mã sau vào khung soạn thảo bài viết, page hoặc post</p>
		    <code>
		    	[hkfacebook num="6"]
		    </code>
		    
		    <p><i>Ngoài ra có thể chèn bất cứ vị trí nào với đoạn code </i></p>
		    <code>
		    	&lt;?php echo do_shortcode( '[hkfacebook num="6"]' ); ?&gt; 
		    </code>
		    <p style="color: #D27906;font-weight: 600;">Với num="6" là số lượng status hiển thị.</p>
		    <h2>Sử dụng widget</h2>
		    <p>Plugin cũng có cung cấp 1 widget để thực hiện việc hiển thị status, các bạn vui lòng vào <strong>Giao diện -> Widget </strong> để sử dụng!</p>
			<br>
		    <p><strong>Plugin được xây dựng bởi <a href="http://huykira.net">Huy Kira</a> được share tại <a href="http://huykira.net">Blog Huy Kira</a></strong></p>
		</div>
	<?php }
}